import copy
from grass.pygrass.modules import Module, ParallelModuleQueue, MultiModule

mapcalc_list = []

mapcalc = Module("r.mapcalc", overwrite=True, run_=False)
gregion = Module("g.region", flags="p", run_=False)
queue = ParallelModuleQueue(nprocs=3)
proc_list = []
for i in range(3):
    new_gregion = copy.deepcopy(gregion)
    proc_list.append(new_gregion)
    new_mapcalc = copy.deepcopy(mapcalc)
    m = new_mapcalc(expression="test_pygrass_%i = %i"%(i, i))
    proc_list.append(new_mapcalc)
    mm = MultiModule(module_list=[new_gregion, new_mapcalc], sync=False, set_temp_region=True)
    mm.run()
